- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Contenedor_Ordenable Class Reference

Inheritance diagram for Contenedor_Ordenable:

List of all members.

## Public Types
typedef int | value_type
| Tipo de valor almacenado en el contenedor.
## Public Member Functions
| Contenedor_Ordenable (unsigned N)
| Constructor.
virtual | ~Contenedor_Ordenable ()
| Destructor.
virtual void | Intercambie (int i, int j)=0
virtual bool | Es_Menor (int, int) const =0
unsigned | Dimension () const
| Devuelve la cantidad de valores almacenados en el `"Contenedor_Ordenable"`.
virtual void | ImprimaSe () const =0
virtual const char * | Nombre () const =0
| Nombre del contenedor.
## Protected Attributes
int | m_cantidad_de_elementos
| Cantidad de valores almacenados en el `"Contenedor_Ordenable"`.

## Detailed Description

Clase abstracta cuyos hijos son contenedores que pueden ser ordenados.

- Tanto la `"Lista_Ordenable"` como el `"Vector_Ordenable"` son sus clases derivadas

## Member Function Documentation

virtual bool Contenedor_Ordenable::Es_Menor | ( | int | ,
|  | int |  |
| ) |  |  | const`[pure virtual]`

Compara los elementos en las dos posiciones `"i"` && `"j"` del contenedor.

- Retorna `"true"` cuando el primero es menor que el segundo.
- Retorna `"false"` cuando el primero es mayor o igual que el segundo.
  Precondition:
    `(i < Dimension()) && (j < Dimension())`

Implemented in Lista_Ordenable, and Vector_Ordenable.

virtual void Contenedor_Ordenable::ImprimaSe | ( |  | ) | const`[pure virtual]`

Graba en `"cout"` todos los valores almacenados en el contendor.

- Los graba en el orden en el que se encuentran almacenados.

Implemented in Lista_Ordenable, and Vector_Ordenable.

virtual void Contenedor_Ordenable::Intercambie | ( | int | i,
|  | int | j |
| ) |  |  | `[pure virtual]`

Intercambia los valores de los elementos que están en las posiciones [i] <=> [j].

Implemented in Lista_Ordenable, and Vector_Ordenable.

The documentation for this class was generated from the following file:

- Mis documentos/UCR/Progra II/HerenciaOrdenada/HerenciaOrdenada.cpp